<?php
/**
 *
 * 文章下方作者信息
 * 
 */

$author_id = get_the_author_meta( 'ID' );
?>
<div class="author-info">
	<div class="author-avatar pull-left">
		<?php echo get_avatar( get_the_author_meta( 'user_email' ), 80 ); ?>
	</div>

	<div class="author-description">
		<ul class="information-navigation">
		<?php if( get_option('Lonesome_single_qq') ){ ?>
			<li><a href="http://wpa.qq.com/msgrd?v=3&uin=<?php echo get_option('Lonesome_single_qq') ?>&site=qq&menu=yes" target="blank"><i class="icon-QQ"></i></a></li>
		<?php } ?>
		<?php if( get_option('Lonesome_single_weibo') ){ ?>
			<li><a href="<?php echo get_option('Lonesome_single_weibo') ?>" target="_blank"><i class="icon-weibo"></i></a></li>
		<?php } ?>
		</ul>

		<div class="author-title">
			<a class="author-link" href="<?php echo esc_url( get_author_posts_url( $author_id ) ); ?>" rel="author"><?php the_author(); ?></a>
		</div>
		<p class="author-bio"><?php the_author_meta( 'description' ); ?></p>
	</div>
</div>