<?php
/**
 * 用于显示文章内容的模板部分
 *
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header page-header">
		<?php the_title( '<h1 class="entry-title page-title">', '</h1>' ); ?>
		<div class="entry-meta">
			<?php Lonesome_posted_on(); ?>
			<span class="separator">/</span>
			<?php echo custom_the_views(get_the_ID());?><?php esc_html_e( '次浏览', 'Lonesome' ); ?>
		</div>
	</header><!-- .entry-header -->

	<div class="entry-content clearfix">
		<?php
		the_content();
		wp_link_pages( array(
			'before' => '<div class="page-links">' . esc_html__( '页面：', 'Lonesome' ),
			'after'  => '</div>',
		) );
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php Lonesome_entry_footer(); ?>
		<a href="javascript:;" id="mClick" class="mobile_click">
			<img src="//pan.baidu.com/share/qrcode?w=150&h=150&url=<?php the_permalink();?>"/><?php esc_html_e( '分享至微信', 'Lonesome' ); ?>
		</a>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->
