<?php
/**
 * 主体内容显示
 *
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="entry-media">
		<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
			<?php if ( has_post_thumbnail() ) : ?>
						<?php the_post_thumbnail(); ?>
					<?php else : ?>
						<img src="<?php echo get_stylesheet_directory_uri() ?>/images/thumbnail.png" alt="<?php the_title(); ?>" />
			<?php endif; ?>
		</a>
	</div>
	<div class="entry-text">

		<header class="entry-header">
			<?php the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' ); ?>
			<div class="entry-meta">
				<?php Lonesome_posted_on(); ?>
				<span class="separator">/</span>
				<?php echo custom_the_views(get_the_ID());?><?php esc_html_e( '次浏览', 'Lonesome' ); ?>
			</div>
		</header>

		<div class="entry-summary">
			<?php the_excerpt(); ?>
		</div>

		<footer class="line">
			<span class="<?php echo get_option('Lonesome_font_icon') ?>"></span>
		</footer>
	</div>
</article>
